com.google.gwt.cell.client

## Interface IsCollapsible

- All Known Implementing Classes:
    ButtonCellBase, TextButtonCell

      public interface IsCollapsible

  Indicates that a UI component can be collapsed next to another UI component, thus sharing a common border. This allows UI components to appear flush against each other without extra thick borders.

  Before collapse:

         ---------    ----------    ---------
        | ButtonA |  |  ButtonB |  | ButtonC |
         ---------    ----------    ---------

  After collapse:

         -----------------------------
        | ButtonA | ButtonB | ButtonC |
         -----------------------------

  In the above example, ButtonA has right-side collapsed, ButtonB has both left and right-side collapsed, and ButtonC has left-side collapsed.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isCollapseLeft()` Check whether or not the left-side of the UI component is collapsed (sharing border with the component to its left).
    `boolean` | `isCollapseRight()` right Check whether or not the left-side of the UI component is collapsed (sharing border with the component to its left).
    `void` | `setCollapseLeft(boolean isCollapsed)` Sets whether the left-side of the UI component is collapsed (sharing border with the component to its left).
    `void` | `setCollapseRight(boolean isCollapsed)` Sets whether the right-side of the UI component is collapsed (sharing border with the component to its right).

- - ### Method Detail

    - #### isCollapseLeft

          boolean isCollapseLeft()

      Check whether or not the left-side of the UI component is collapsed (sharing border with the component to its left).
      Returns:
        true if collapsed, false if not

    - #### isCollapseRight

          boolean isCollapseRight()

      right Check whether or not the left-side of the UI component is collapsed (sharing border with the component to its left).
      Returns:
        true if collapsed, false if not

    - #### setCollapseLeft

          void setCollapseLeft(boolean isCollapsed)

      Sets whether the left-side of the UI component is collapsed (sharing border with the component to its left).
      Parameters:
        `isCollapsed` - true if collapsed, false if not

    - #### setCollapseRight

          void setCollapseRight(boolean isCollapsed)

      Sets whether the right-side of the UI component is collapsed (sharing border with the component to its right).
      Parameters:
        `isCollapsed` - true if collapsed, false if not